%global rosdistro fuerte
%global stackname roscpp_core
%global gitrev d0b5ce1

Name:           ros-%{rosdistro}-roscpp-core
Version:        0.2.6
Release:        1.git%{gitrev}%{?dist}
Summary:        ROS C++ API

License:        BSD
URL:            http://www.ros.org/wiki/roscpp_core
#wget --content-disposition https://github.com/ros/roscpp_core/tarball/0.2.6
Source0:        ros-%{stackname}-%{version}-0-g%{gitrev}.tar.gz
Provides:       ros-roscpp-core = %{version}-%{release}
Provides:       ros-%{stackname} = %{version}-%{release}

BuildRequires:  cmake
BuildRequires:  gtest
BuildRequires:  boost-devel
BuildRequires:  ros-%{rosdistro}-catkin-devel

%description
roscpp-core is an underlying library for support roscpp message data 
types. It is a lightweight/minimal library that can easily be used 
in non-ROS-based projects. 

%package devel
Requires: %{name}%{?_isa} = %{version}-%{release}
Provides: ros-roscpp-core-devel = %{version}-%{release}
Provides: ros-%{stackname}-devel = %{version}-%{release}
Summary:  Development files for %{name}

%description devel
%{summary}.

%prep
%setup -q -n ros-%{stackname}-%{gitrev}

%build
mkdir build
pushd build
%cmake -DCMAKE_INSTALL_PREFIX=/opt/ros/%{rosdistro} -DSETUPTOOLS_DEB_LAYOUT=OFF ..
popd

%install
rm -rf $RPM_BUILD_ROOT
make -C build install DESTDIR=$RPM_BUILD_ROOT

%files
/opt/ros/%{rosdistro}/lib/*.so
%exclude /opt/ros/%{rosdistro}/share/*/cmake/
/opt/ros/%{rosdistro}/share/cpp_common
/opt/ros/%{rosdistro}/share/roscpp_core
/opt/ros/%{rosdistro}/share/roscpp_serialization
/opt/ros/%{rosdistro}/share/roscpp_traits
/opt/ros/%{rosdistro}/share/rostime

%files devel
/opt/ros/%{rosdistro}/include/ros
/opt/ros/%{rosdistro}/lib/pkgconfig/*.pc
/opt/ros/%{rosdistro}/share/*/cmake/

%changelog
* Sun Jan 13 2013 Rich Mattes <richmattes@gmail.com> - 0.2.6-1.gitd0b5ce1
- Initial fuerte package

